package com.ruoyi.project.pssr.service.impl;

import java.util.List;

import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrBlindMapper;
import com.ruoyi.project.pssr.domain.TPssrBlind;
import com.ruoyi.project.pssr.service.ITPssrBlindService;

/**
 * 盲板Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrBlindServiceImpl implements ITPssrBlindService
{
    @Autowired
    private TPssrBlindMapper tPssrBlindMapper;

    /**
     * 查询盲板
     *
     * @param id 盲板ID
     * @return 盲板
     */
    @Override
    public TPssrBlind selectTPssrBlindById(Long id)
    {
        return tPssrBlindMapper.selectTPssrBlindById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrBlindMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询盲板列表
     *
     * @param tPssrBlind 盲板
     * @return 盲板
     */
    @Override
    public List<TPssrBlind> selectTPssrBlindList(TPssrBlind tPssrBlind)
    {
        return tPssrBlindMapper.selectTPssrBlindList(tPssrBlind);
    }

    /**
     * 新增盲板
     *
     * @param tPssrBlind 盲板
     * @return 结果
     */
    @Override
    public int insertTPssrBlind(TPssrBlind tPssrBlind)
    {
        if (StringUtils.isNotEmpty(tPssrBlind.getStartupStatus()) && StringUtils.isEmpty(tPssrBlind.getActualStatus())) {
            tPssrBlind.setActualStatus(tPssrBlind.getStartupStatus());
        } else if (StringUtils.isEmpty(tPssrBlind.getStartupStatus()) && StringUtils.isNotEmpty(tPssrBlind.getActualStatus())) {
            tPssrBlind.setStartupStatus(tPssrBlind.getActualStatus());
        }

        if(StringUtils.isNotEmpty(tPssrBlind.getStartupStatus())&&tPssrBlind.getStartupStatus().equals(tPssrBlind.getActualStatus())){
            tPssrBlind.setSatisfy("✔");
        }else{
            tPssrBlind.setSatisfy("✖");
        }
        return tPssrBlindMapper.insertTPssrBlind(tPssrBlind);
    }

    /**
     * 修改盲板
     *
     * @param tPssrBlind 盲板
     * @return 结果
     */
    @Override
    public int updateTPssrBlind(TPssrBlind tPssrBlind)
    {
        return tPssrBlindMapper.updateTPssrBlind(tPssrBlind);
    }

    /**
     * 批量删除盲板
     *
     * @param ids 需要删除的盲板ID
     * @return 结果
     */
    @Override
    public int deleteTPssrBlindByIds(Long[] ids)
    {
        return tPssrBlindMapper.deleteTPssrBlindByIds(ids);
    }

    /**
     * 删除盲板信息
     *
     * @param id 盲板ID
     * @return 结果
     */
    @Override
    public int deleteTPssrBlindById(Long id)
    {
        return tPssrBlindMapper.deleteTPssrBlindById(id);
    }
}
